# $Revision: 1.6 $, $Date: 2002/09/17 12:23:24 $
Summary:	A tetris clone for Linux
Summary(pl):	Klon tetrisa dla Linuksa
Name:		ltris
Version:	1.0.3
Release:	4
License:	GPL v2+
Vendor:		Michael Speck <kulkanie@gmx.net>
Group:		X11/Applications/Games
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/lgames/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.lgames.org/
BuildRequires:	SDL >= 1.2.4 
BuildRequires:	SDL_mixer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_ltrisdata	%{_datadir}/games/ltris

%description
LTris is a clone of the tetris game for Linux. It uses a SDL library.

%description -l pl
LTris jest klonem gry tetris dla Linuksa. Korzysta z biblioteki SDL.

%prep
%setup -q

%build
%configure2_13 \
	--with-highscore-path=/var/games

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Games/Arcade}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games/Arcade
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(2755,root,games) %{_bindir}/*
%{_applnkdir}/Games/Arcade/ltris.desktop
%{_pixmapsdir}/*
%{_datadir}/games/ltris
%attr(664,root,games) %config(noreplace) %verify(not size mtime md5) /var/games/ltris.hscr

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ltris.spec,v $
Revision 1.6  2002/09/17 12:23:24  kloczek
- use DESTDIR style install (simplified and also now is installed figures file),
- other simplifications,
- move desktop file to Gmes/Arcade/,
- change desktop Icon to png 48x48 pixmap.

Revision 1.5  2002/08/30 23:38:26  qboosh
- fixed score path (global, not in builder's home!!!)
- BR: SDL_mixer-devel
- release 4

Revision 1.4  2002/08/28 10:51:33  krolik
- added ltris.conf file path
- changed highscore path to ~/.lgames

Revision 1.3  2002/08/27 15:02:27  mwinkler
- stupid mistake

Revision 1.2  2002/08/27 14:56:03  mwinkler
- cosmetics changes, build requires, fixed data path
- STBR(?)

Revision 1.1  2002/08/27 12:42:05  krolik
-initial
